Assign a role to a user or group in a workspace
curl --request POST \
--url https://app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role} \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch('https://app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Workspaces
Assign a role to a user or group in a workspace
API endpoint to assign a role to a user or group within a Blink workspace.
POST
/
workspaces
/
{ws_id}
/
{entity_type}
/
{entity_id}
/
role
/
{role}
Assign a role to a user or group in a workspace
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
The ID of the workspace
The type of entity to assign the role to (user or group)
The ID of the user or group to assign the role to
The name of the role to assign to the entity
Response
Was this page helpful?